package main

import (
	"intimate"
	"testing"

	"github.com/tidwall/gjson"
)

func TestExtractor(t *testing.T) {
	collect := intimate.NewExtractorStore()
	store := intimate.NewSourceStore("source_openrec")
	source, err := store.Pop("openrec_user", 100)
	if source != nil {
		defer store.Restore(source)
	}
	if err != nil {
		t.Error(err)
	}
	sdata := source.GetExt().([]byte)

	if gjson.ValidBytes(sdata) {
		result := gjson.ParseBytes(sdata)
		m := result.Map()
		for key := range m {
			t.Error(key)
			ai := &intimate.CollectLog{}
			ai.SetAnchorId("123")
			collect.InsertCollectLog(ai)
		}
	} else {
		t.Error("data is not json:\n", string(sdata))
	}

}
